#define TEST_SETTINGS 0

float SPRING_LENGTH_FACTOR = 0.5f;
const float MASS_PER_UNIT_LENGTH = 1.0f;
const float SPRING_KS = 1500.0f;
const float SPRING_KD = 0.1f;

float SPIN_SPRING_KS = 1100.0f;
float SPIN_SPRING_KD = 0.1f;

const float FLY_SPRING_KS = 1500.0f;
const float FLY_SPRING_KD = 0.1f;

float SPIDER_MASS = 10.0f;
float SPIDER_RADIUS = 0.4f;
float SPIDER_RADIUS_TO_TOUCH_FLY = 0.4f;

float SPIDER_SPEED_FRIENDLY = 3.0f;
float SPIDER_SPEED_ENEMY = 2.0f;
float SPIDER_SPEED_ENEMY_WET = 1.2f;

float SPIDER_JUMP_SPEED = SPIDER_SPEED_FRIENDLY * 1.2f;

float DT_MAX = 0.05f;
float the_dt = 0.01f;
float the_time = 0.0f;

float JOYSTICK_LEN_TO_MOVE = 0.08f;
float DELTA_LEN_TO_AIM_SPIDER = 0.01f;

const float TESS_PER_UNIT_LENGTH = 1.6f;
const float LENGTH_PER_TESS = 1.0f / TESS_PER_UNIT_LENGTH;

const float RESPAWN_BLINK_TIME = 0.15f;
const float RESPAWN_TIME_TOTAL = 3.0f;
//const float RESPAWN_TIME_TOTAL = 0.0f;


const float FLY_SPEED_MIN = 1.5f;
const float FLY_SPEED_MAX = 7.0f;
const float FLY_AMPLITUDE1_MIN = 0.4f;
const float FLY_AMPLITUDE1_MAX = 1.7f;
const float FLY_AMPLITUDE2_MIN = 0.05f;
const float FLY_AMPLITUDE2_MAX = 0.3f;
const float FLY_STRUGGLING_TIME_MIN = 2.0f;
const float FLY_STRUGGLING_TIME_MAX = 12.0f;
const float FLY_PERIOD1_MIN = 1.25f;
const float FLY_PERIOD1_MAX = 3.5f;
const float FLY_PERIOD2_MIN = 0.35f;
const float FLY_PERIOD2_MAX = 0.85f;

float FLY_RADIUS = 0.25f;

//const float FLY_TIMER_MAX = 70.0f;

float FLY_MASS = 4.0f;

float WETNESS_LOSS_PER_SECOND = 0.03f;
float GRAVITY_MAGNITUDE = 10.0f;



#if TEST_SETTINGS
const float FLY_STICK_PROBABILITY_PER_SECOND_DRY = 0.07f;
const float FLY_STICK_PROBABILITY_PER_SECOND_WET = 3.0f;
const float FLY_TIMER_MIN = 0.5f;
const float FLY_TIMER_MAX = 15.0f;
const float FLY_TIMER_INITIAL = 2.0f;
float FLY_STEWING_TIME = 10.0f;
float DAYTIME_TOTAL = 8.0f;
#else
const float FLY_STICK_PROBABILITY_PER_SECOND_DRY = 0.07f;
const float FLY_STICK_PROBABILITY_PER_SECOND_WET = 3.0f;
const float FLY_TIMER_MIN = 0.5f;
const float FLY_TIMER_MAX = 34.0f;
const float FLY_TIMER_INITIAL = 10.0f;
float FLY_STEWING_TIME = 30.0f;
float DAYTIME_TOTAL = 270.0f;
#endif

float the_time_for_next_fly = FLY_TIMER_INITIAL;

